net.sf.jasperreports.engine.fill

## Class JRFillHyperlinkHelper

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillHyperlinkHelper

-     public final class JRFillHyperlinkHelper
      extends java.lang.Object

  Utility class used to evaluate custom hyperlink parameters.
  Version:
    $Id: JRFillHyperlinkHelper.java 5912 2013-01-31 14:50:33Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JRPrintHyperlink` | `evaluateHyperlink(JRHyperlink hyperlink, JRFillExpressionEvaluator expressionEvaluator, byte evaluationType)` Evaluate a hyperlink specification.
    `static JRPrintHyperlinkParameters` | `evaluateHyperlinkParameters(JRHyperlink hyperlink, JRFillExpressionEvaluator expressionEvaluator, byte evaluationType)` Evaluates a list of hyperlink parameters and produces a hyperlink parameters set that can be associated with a print element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### evaluateHyperlinkParameters

          public static JRPrintHyperlinkParameters evaluateHyperlinkParameters(JRHyperlink hyperlink,
                                                               JRFillExpressionEvaluator expressionEvaluator,
                                                               byte evaluationType)
                                                                        throws JRException

      Evaluates a list of hyperlink parameters and produces a hyperlink parameters set that can be associated with a print element.
      Parameters:
        `hyperlink` - the hyperlink instance
        `expressionEvaluator` - the expression evaluator to use for evaluation parameter value
        `evaluationType` - the evaluation type
      Returns:
        a print hyperlink parameters set
      Throws:
        `JRException`

    - #### evaluateHyperlink

          public static JRPrintHyperlink evaluateHyperlink(JRHyperlink hyperlink,
                                           JRFillExpressionEvaluator expressionEvaluator,
                                           byte evaluationType)
                                                    throws JRException

      Evaluate a hyperlink specification.
      Parameters:
        `hyperlink` - the hyperlink specification
        `expressionEvaluator` - the expression evaluator to use for evaluation the hyperlink expressions
        `evaluationType` - the evaluation type, as in `JRFillExpressionEvaluator.evaluate(JRExpression, byte)`
      Returns:
        a `print hyperlink` resulted from the expression evaluations.
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com